Subject: "guix build: error: no build log for gnu-store-pathto.drv" with previously offloaded successful build
From: ng0 <[email-masked]>
To: [email-masked]
Date: Mon, 14 Aug 2017 17:51:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I offload my builds by default.
The build in question succeeded. Now I wanted to read the log of the successful build to check
the configure options.
I thought I'd just do:

guix build --log-file --no-grafts --check --no-build-hook --rounds=2 --verbosity=5 mate-session-manager

Verbosity was just added later, and so was --check and --no-grafts and --rounds.
The only time I did not get was when the build was grafted, which got me a log
file with the content of the graft locationA -> locationB in it.

Every other try just gives me:
guix build: error: no build log for '/gnu/store/l5cznxxdnbf803mkjavmg9kajicy7751-mate-session-manager-1.18.1.drv'

Is this a bug or just a mistake of where I put "--log-file"?
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org